package main

import (
	"log"
	"sevenkeys/database"
	"sevenkeys/database/operations"
	"sevenkeys/scryfall/methods"
)

func check(err error) {
	if err != nil {
		log.Fatal(err)
	}
}

const CACHE_DIR string = "cache"
const ICON_CACHE_DIR string = CACHE_DIR + "/seticons/"

func main() {
	sets, err := methods.GetSets()
	check(err)

	db := database.GetDatabaseFromConfig("config.json")

	// Download icon files to cache/ directory
	for _, set := range sets {
		// We're only interested in paper cards, so skip importing
		// any sets that were only released in a video game
		if set.Digital {
			continue
		}

		err = operations.InsertOrUpdateSet(db, set)
		check(err)
	}
}
